> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synkrony.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar usuário



## OpenAPI

````yaml /api-reference/v1/swagger.json patch /api/v1/users/{id}
openapi: 3.1.0
info:
  title: API V1
  version: v1
servers:
  - url: https://app.synkrony.ai
security:
  - BearerAuth: []
paths:
  /api/v1/users/{id}:
    patch:
      tags:
        - Users
      summary: Atualizar usuário
      parameters:
        - name: id
          in: path
          required: true
          description: ID do usuário
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                user:
                  type: object
                  properties:
                    name:
                      type: string
                      example: Maria Atualizada
                    email:
                      type: string
                      example: maria2@example.com
                    password:
                      type: string
                      nullable: true
                      example: '123456'
                    role:
                      type: string
                      example: member
                    capacity:
                      type: integer
                      nullable: true
                      example: 10
                    cost_cents:
                      type: integer
                      nullable: true
                      example: 150000
                    sprint_goal_participation:
                      type: boolean
                      nullable: true
                      example: true
              required:
                - user
      responses:
        '200':
          description: User updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Assignee'
                required:
                  - data
        '401':
          description: unauthorized
        '404':
          description: not found
components:
  schemas:
    Assignee:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        job_title:
          type: string
          nullable: true
        email:
          type: string
        cost_cents:
          type: number
          nullable: true
        capacity:
          type: number
          nullable: true
        removed_at:
          type: string
          nullable: true
        role:
          type: string
        agent_type:
          type: string
          nullable: true
        authentication_setup_completed:
          type: boolean
        sprint_goal_participation:
          type: boolean
        status:
          type: string
        profile_picture_url:
          type: string
          nullable: true
        short_name:
          type: string
        avatar_color_id:
          type: number
      required:
        - id
        - name
        - email
        - role
        - authentication_setup_completed
        - sprint_goal_participation
        - status
        - short_name
        - avatar_color_id
        - status
        - short_name
        - avatar_color_id
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'API token no formato Bearer. Exemplo: Bearer YOUR_API_TOKEN'

````